# PNatMethod::PortInfo Struct Reference

`#include <pnat.h>`

List of all members.

## Public Member Functions

| PortInfo (WORD port=0)

## Public Attributes

PMutex | mutex
WORD | basePort
WORD | maxPort
WORD | currentPort

## Constructor & Destructor Documentation

PNatMethod::PortInfo::PortInfo | ( | WORD | port = `0` | ) | `[inline]`

## Member Data Documentation

WORD PNatMethod::PortInfo::basePort

WORD PNatMethod::PortInfo::currentPort

WORD PNatMethod::PortInfo::maxPort

PMutex PNatMethod::PortInfo::mutex

The documentation for this struct was generated from the following file:

- pnat.h